% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/resautomodel.R
\name{AutoEncoderModel}
\alias{AutoEncoderModel}
\title{AutoEncoderModel}
\usage{
AutoEncoderModel(nfea, nout, nodes, acts, mdropout = 0, reg = NULL,
  batchnorm = TRUE, isres = TRUE, outtype = 0, fact = "linear")
}
\arguments{
\item{nfea}{integer, Number of features}

\item{nout}{integer, Number of output units}

\item{nodes}{list of integers, list of the number of nodes for the hidden layers in encoding component}

\item{acts}{list of strings, list of activation function names}

\item{mdropout}{double, dropout rate of the coding (middle) layer (default:0)}

\item{reg}{string, regularization string (default: NULL)}

\item{batchnorm}{bool, flag to conduct batch normalization (default:TRUE)}

\item{isres}{bool, flag to conduct the residual connections (default: TRUE)}

\item{outtype}{integer, output type, 0 indicating nout outputs and 1 nout+nfea outputs (default: 0)}

\item{fact}{string, activation for output layer (default:"linear")}
}
\value{
keras model, model of (residual) autoencoder-based deep network
}
\description{
This function is to construct a residual autoencoder-based deep network.
}
